Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCClient

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCClient

public class RPCClient
extends java.lang.Object

Clase que se encarga de la comunicación con un servidor. Abstrae la comunicación rpc que se envia al servidor bien por GET o POST

Constructor Summary
`RPCClient(java.lang.String inTargetURL)` Constructor a partir de una URL en formato cadena con el destino
`RPCClient(java.lang.String inNetProtocol, java.lang.String inTargetURL)` Constructor a partir de una URL en formato cadena con el destino
`RPCClient(java.lang.String inTargetURL, java.lang.String proxyHost, java.lang.String proxyPort)` Constructor a partir de una URL en formato cadena con el destino através de Proxy.

Method Summary
`void` | `putProtocolData(java.lang.String newProtocolParam, java.lang.String newProtocolParamValue)` Añade un dato de protocolo a la llamada RPC
`java.io.InputStream` | `sendGetRPCCall(RPCCall rpcCall)` Ejecuta la llamada vía GET
`java.io.InputStream` | `sendPostRPCCall(RPCCall rpcCall)` Ejecuta la llamada via POST
`java.io.InputStream` | `sendRPCCall(RPCCall rpcCall)` Ejecuta la llamada utilizando el metodo (GET/SET) establecido
`void` | `setProtocolData(XMap newProtocolData)` Añade datos de protocolo a la llamada RPC
`void` | `setProxyAuthorization(java.lang.String user, java.lang.String password)` Establece la información de autorización para el PROXY en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.
`void` | `setTimeOut(long timeOut)` Establece el timeOut de conexion.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCClient

    public RPCClient(java.lang.String inTargetURL)

  Constructor a partir de una URL en formato cadena con el destino

Parameters:
  `inTargetURL` - La url del destino

### RPCClient

    public RPCClient(java.lang.String inTargetURL,
                     java.lang.String proxyHost,
                     java.lang.String proxyPort)

  Constructor a partir de una URL en formato cadena con el destino através de Proxy.

Parameters:
  `inTargetURL` - La url del destino
  `proxyHost` - ProxyHost
  `proxyPort` - ProxyPort

### RPCClient

    public RPCClient(java.lang.String inNetProtocol,
                     java.lang.String inTargetURL)
              throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

Parameters:
  `inTargetURL` - La url del destino

Method Detail

### setProtocolData

    public void setProtocolData(XMap newProtocolData)

  Añade datos de protocolo a la llamada RPC

  Parameters:
    `newProtocolData` - Datos de protocolo

### putProtocolData

    public void putProtocolData(java.lang.String newProtocolParam,
                                java.lang.String newProtocolParamValue)

  Añade un dato de protocolo a la llamada RPC

  Parameters:
    `newProtocolParam` - El nombre del parametro
    `newProtocolParamValue` - El valor del parametro

### setTimeOut

    public void setTimeOut(long timeOut)

  Establece el timeOut de conexion.

  Parameters:
    `timeOut` -

### sendRPCCall

    public java.io.InputStream sendRPCCall(RPCCall rpcCall)
                                    throws java.io.IOException

  Ejecuta la llamada utilizando el metodo (GET/SET) establecido

  Parameters:
    `rpcCall` - La llamada RPC a realizar
  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### sendGetRPCCall

    public java.io.InputStream sendGetRPCCall(RPCCall rpcCall)
                                       throws java.io.IOException

  Ejecuta la llamada vía GET

  Parameters:
    `rpcCall` - La llamada RPC a realizar
  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### sendPostRPCCall

    public java.io.InputStream sendPostRPCCall(RPCCall rpcCall)
                                        throws java.io.IOException

  Ejecuta la llamada via POST

  Parameters:
    `rpcCall` - La llamada RPC a realizar
  Returns:
    an InputStream to read the response
  Throws:
    `java.io.IOException` - if an I/O error occurs

### setProxyAuthorization

    public void setProxyAuthorization(java.lang.String user,
                                      java.lang.String password)

  Establece la información de autorización para el PROXY en la cabecera http (autenticación básica) El nombre y la clave van como una cadena "Basic usr:psswd" codificada en base64 en un campo de la cabecera llamado Authorization La autorización al igual que los demás campos de la cabecera persisten a lo largo de múltiples llamadas.

  Parameters:
    `user` - El nombre del usuario
    `password` - La clave

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD